<?php
namespace ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Traits;
use ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Client;
use ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Interfaces\ApiService;

/**
 * Class ApiClientHandler
 * User: ThurData
 * Date: 2019-10-01
 * Time: 07:52
 */

trait ApiClientHandler
{
    /**
     * @var Client
     */
    protected $api;

    /**
     * @param $api
     * @return $this
     */
    public function setApi(Client $api)
    {
        $this->api = $api;
        return $this;
    }

    /**
     * @return Client
     */
    public function getApi()
    {
        return $this->api;
    }

}